package lk.sliit.research.interviewapp.Service.impl;

import lk.sliit.research.interviewapp.Repository.InterviewRepository;
import lk.sliit.research.interviewapp.Service.InterviewService;
import lk.sliit.research.interviewapp.model.domain.Interview;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.Date;

import static lk.sliit.research.interviewapp.util.Constant.DATE_FORMAT;
import static lk.sliit.research.interviewapp.util.Constant.INTERVIEW_STATUS_PROCESSING;

@Service
public class InterviewServiceImpl implements InterviewService {

    @Autowired
    private InterviewRepository interviewRepository;

    @Override
    public boolean isValidInterviewKey(String key) {
        return (interviewRepository.countInterviewByGivenKey(key) > 0);
    }

    @Override
    public boolean updateInterviewLifeCycle(int interviewId, String status) {
        Interview interview = interviewRepository.findById(interviewId).get();
        interview.setStatus(status);

        if(status.equalsIgnoreCase(INTERVIEW_STATUS_PROCESSING)){
            Date date = new Date();
            SimpleDateFormat formatter = new SimpleDateFormat(DATE_FORMAT);
            String dateStr = formatter.format(date);
            interview.setJoinDate(dateStr);
        }

        interviewRepository.save(interview);

        return true;
    }

    @Override
    public Interview getInterviewByRoomIdAndKey(String roomId, String key) {
        return interviewRepository.findByRoomIdAndKey(roomId, key);
    }
}
