package lk.sliit.research.interviewapp.util;

public class Constant {
    private Constant(){}

    /**
     * App details
     * */
    public static final String APP_NAME = "INTERVIEW-APP";
    public static final String DATE_FORMAT = "yyyy-MM-dd";

    /**
     * QNA status - INITIAL, CALCULATING, CALCULATED
     * */
    public static final String QNA_STATUS_INITIAL = "INITIAL"; /** Status after answer is provided to the question in UI */
    public static final String QNA_STATUS_CALCULATING = "CALCULATING"; /** INITIAL questions are picked by a job and given to check answers  */
    public static final String QNA_STATUS_CALCULATED = "CALCULATED"; /** After answers are checked and verified */

    /**
     * Interview status - INITIAL, PROCESSING, INTERVIEW_OVER, SUBMITTED_FOR_RESULT, TO_BE_SELECTED, SELECTED, NOT_SELECTED
     * */
    public static final String INTERVIEW_STATUS_INITIAL = "INITIAL"; /** When an interview is placed by the HR */
    public static final String INTERVIEW_STATUS_PROCESSING = "PROCESSING"; /** While the interview is taking place */
    public static final String INTERVIEW_STATUS_INTERVIEW_OVER = "INTERVIEW_OVER"; /** Soon after the interview is completed */
    public static final String INTERVIEW_STATUS_SUBMITTED_FOR_RESULT = "SUBMITTED_FOR_RESULT"; /** INTERVIEW_OVER is picked by a job to check if qna verification is done and to move to the selection process */
    public static final String INTERVIEW_STATUS_TO_BE_SELECTED = "TO_BE_SELECTED"; /** After verification */
    public static final String INTERVIEW_STATUS_SELECTED = "SELECTED"; /** Manual approach to select a candidate */
    public static final String INTERVIEW_STATUS_REJECTED = "REJECTED"; /** Manual approach to reject a candidate */

    /**
     * Logging constants
     * */
    public static final String ERROR_LOG = "Error: ";

    /**
     * Response constant
     * */
    public static final String ERROR = "ERROR";
}
